%global pypi_name python-magic

Name:           %{pypi_name}
Version:        0.4.27
Release:        %mkrel 6
Summary:        File type identification using libmagic
Group:          Development/Python
License:        MIT
URL:            https://github.com/ahupp/python-magic
Source0:        https://github.com/ahupp/python-magic/archive/%{version}/%{pypi_name}-%{version}.tar.gz
# see https://github.com/ahupp/python-magic/issues/283
Patch0:         python-magic-0.4.27-fix-test-with-new-file.patch
BuildArch:      noarch

%description
This module uses ctypes to access the libmagic file type identification
library. It makes use of the local magic database and supports both textual
and MIME-type output.

# The python3-python-magic repetition is intended, as `file` also provides
# python3-file-magic which is a competing implementation. We use the egg name
# for both after the policy's `python3-` prefix.
%package -n     python3-%{pypi_name}
Summary:        File type identification using libmagic
Group:          Development/Python

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
# For tests.
BuildRequires:  locales-en
BuildRequires:  python3-pytest

# `file` creates python3-file-magic (renamed in Mageia 8 from python3-magic),
# which also provides a conflicting `magic.py` module in sitelib.
Provides:       python3-magic = %{version}-%{release}

%description -n python3-%{pypi_name}
This module uses ctypes to access the libmagic file type identification
library. It makes use of the local magic database and supports both textual
and MIME-type output.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files magic

%check
export LC_ALL=en_US.UTF-8
export PYTHONPATH=.
#pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.4.27-6.mga10
+ Revision: 2239817
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 daviddavid <daviddavid> 0.4.27-5.mga10
+ Revision: 2156800
- disable tests for now
+ wally <wally>
- rebuild for python3.13
- rebuild for python3.13

* Thu Feb 22 2024 papoteur <papoteur> 0.4.27-3.mga10
+ Revision: 2043226
- rebuild for python 3.12

* Tue Jan 03 2023 daviddavid <daviddavid> 0.4.27-2.mga9
+ Revision: 1929561
- add patch to fix testsuite with new file pkg

* Wed Sep 07 2022 neoclust <neoclust> 0.4.27-1.mga9
+ Revision: 1885092
- New version  0.4.27

* Wed Mar 23 2022 umeabot <umeabot> 0.4.25-2.mga9
+ Revision: 1822267
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 wally <wally> 0.4.25-1.mga9
+ Revision: 1772902
- new version 0.4.25
- rebuild for python3.10

* Sun Dec 26 2021 wally <wally> 0.4.24-3.mga9
+ Revision: 1764004
- add upstream patch to support file 5.41
- drop unneeded conflicts as the pkg can nowadays coexist with python3-file-magic

* Sat Jun 26 2021 wally <wally> 0.4.24-2.mga9
+ Revision: 1732624
- Rebuild for python 3.9

* Fri Jun 04 2021 akien <akien> 0.4.24-1.mga9
+ Revision: 1729652
- Version 0.4.24

* Mon Nov 16 2020 akien <akien> 0.4.18-1.mga8
+ Revision: 1646684
- imported package python-magic

